### Method

# Gdk.Surface.translate_coordinates

#### Declaration [src]

    gboolean
    gdk_surface_translate_coordinates (
      GdkSurface* from,
      GdkSurface* to,
      double* x,
      double* y
    )

#### Description [src]

Translates coordinates between two surfaces.

Note that this only works if `to` and `from` are popups or transient-for to the same toplevel (directly or indirectly).

#### Parameters

`to` | `GdkSurface`
| the target surface
| Ownership is not transferred to the callee
`x` | `double*`
| coordinates to translate
| Direction: in-out
| Ownership of the data is transferred to the callee
`y` | `double*`
| coordinates to translate
| Direction: in-out
| Ownership of the data is transferred to the callee

#### Return value

Returns: `gboolean`
`TRUE` if the coordinates were successfully translated